Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.impl.jdbc.runtime
Class AbstractRow

    java.lang.Object
      |
      +--com.solarmetric.rd.kodo.impl.jdbc.runtime.AbstractRow

All Implemented Interfaces:
  Row

Direct Known Subclasses:
  StateImageIndicator.CustomUpdate

public abstract class AbstractRow
extends java.lang.Object
implements Row

Abstract `Row` implementation that funnels all methods to the `Row.setObject(com.solarmetric.rd.kodo.impl.jdbc.schema.Column, java.lang.Object, int, java.lang.Object)` and `Row.whereObject(com.solarmetric.rd.kodo.impl.jdbc.schema.Column, java.lang.Object, int, java.lang.Object)` functions.

Field Summary

Fields inherited from interface com.solarmetric.rd.kodo.impl.jdbc.runtime.Row
`ACTION_DELETE, ACTION_INSERT, ACTION_UPDATE`

Constructor Summary
`AbstractRow(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table, int action)` Constructor.

Method Summary
`protected void` | `flushObjectId(com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] cols, java.lang.Object oid, com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping, boolean set)` Flush the given oid value to the given columns.
`int` | `getAction()` Return the action for this row.
`java.lang.Object` | `getFailedObject()` This implementation returns null by default; override to track failed objects.
`com.solarmetric.rd.kodo.impl.jdbc.schema.Table` | `getTable()` Return the table for this row.
`void` | `setArray(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.sql.Array val)` Set the value of the given column in this row.
`void` | `setAsciiStream(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.io.InputStream val, int length)` Set the value of the given column in this row.
`void` | `setBigDecimal(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.math.BigDecimal val)` Set the value of the given column in this row.
`void` | `setBigInteger(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.math.BigInteger val)` Set the value of the given column in this row.
`void` | `setBinaryStream(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.io.InputStream val, int length)` Set the value of the given column in this row.
`void` | `setBlob(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.sql.Blob val)` Set the value of the given column in this row.
`void` | `setBoolean(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, boolean val)` Set the value of the given column in this row.
`void` | `setByte(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, byte val)` Set the value of the given column in this row.
`void` | `setBytes(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, byte[] val)` Set the value of the given column in this row.
`void` | `setChar(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, char val)` Set the value of the given column in this row.
`void` | `setCharacterStream(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.io.Reader val, int length)` Set the value of the given column in this row.
`void` | `setClob(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.sql.Clob val)` Set the value of the given column in this row.
`void` | `setDate(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.util.Date val)` Set the value of the given column in this row.
`void` | `setDate(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.sql.Date val, java.util.Calendar cal)` Set the value of the given column in this row.
`void` | `setDouble(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, double val)` Set the value of the given column in this row.
`void` | `setFailedObject(java.lang.Object failed)` This implementation throws an exception by default; override to track failed objects.
`void` | `setFloat(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, float val)` Set the value of the given column in this row.
`void` | `setForeignKey(com.solarmetric.rd.kodo.impl.jdbc.schema.ForeignKey fk, java.lang.Object oid, com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping)` Set the value for the given foreign key.
`void` | `setInt(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, int val)` Set the value of the given column in this row.
`void` | `setLocale(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.util.Locale val)` Set the value of the given column in this row.
`void` | `setLong(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, long val)` Set the value of the given column in this row.
`void` | `setNull(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Set the value of the given column in this row.
`void` | `setPrimaryKey(java.lang.Object oid, com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping)` Set the primary key to the given object's id.
`void` | `setShort(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, short val)` Set the value of the given column in this row.
`void` | `setString(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.lang.String val)` Set the value of the given column in this row.
`void` | `setTime(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.sql.Time val, java.util.Calendar cal)` Set the value of the given column in this row.
`void` | `setTimestamp(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.sql.Timestamp val, java.util.Calendar cal)` Set the value of the given column in this row.
`protected void` | `toSQL(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.lang.Object val, int type, java.lang.Object arg, com.solarmetric.rd.kodo.impl.jdbc.schema.DBDictionary dict, java.sql.PreparedStatement stmnt, int idx)` Translates the given value to a prepared parameter.
`void` | `whereArray(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.sql.Array val)` Set an equality condition on the value of the given column in this row.
`void` | `whereAsciiStream(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.io.InputStream val, int length)` Set an equality condition on the value of the given column in this row.
`void` | `whereBigDecimal(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.math.BigDecimal val)` Set an equality condition on the value of the given column in this row.
`void` | `whereBigInteger(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.math.BigInteger val)` Set an equality condition on the value of the given column in this row.
`void` | `whereBinaryStream(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.io.InputStream val, int length)` Set an equality condition on the value of the given column in this row.
`void` | `whereBlob(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.sql.Blob val)` Set an equality condition on the value of the given column in this row.
`void` | `whereBoolean(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, boolean val)` Set an equality condition on the value of the given column in this row.
`void` | `whereByte(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, byte val)` Set an equality condition on the value of the given column in this row.
`void` | `whereBytes(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, byte[] val)` Set an equality condition on the value of the given column in this row.
`void` | `whereChar(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, char val)` Set an equality condition on the value of the given column in this row.
`void` | `whereCharacterStream(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.io.Reader val, int length)` Set an equality condition on the value of the given column in this row.
`void` | `whereClob(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.sql.Clob val)` Set an equality condition on the value of the given column in this row.
`void` | `whereDate(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.util.Date val)` Set an equality condition on the value of the given column in this row.
`void` | `whereDate(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.sql.Date val, java.util.Calendar cal)` Set an equality condition on the value of the given column in this row.
`void` | `whereDouble(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, double val)` Set an equality condition on the value of the given column in this row.
`void` | `whereFloat(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, float val)` Set an equality condition on the value of the given column in this row.
`void` | `whereForeignKey(com.solarmetric.rd.kodo.impl.jdbc.schema.ForeignKey fk, java.lang.Object oid, com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping)` Set the object id value for the given foreign key.
`void` | `whereInt(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, int val)` Set an equality condition on the value of the given column in this row.
`void` | `whereLocale(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.util.Locale val)` Set an equality condition on the value of the given column in this row.
`void` | `whereLong(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, long val)` Set an equality condition on the value of the given column in this row.
`void` | `whereNull(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)` Set an equality condition on the value of the given column in this row.
`void` | `wherePrimaryKey(java.lang.Object oid, com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping)` Set the primary key equality criteria for this row.
`void` | `whereShort(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, short val)` Set an equality condition on the value of the given column in this row.
`void` | `whereString(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.lang.String val)` Set an equality condition on the value of the given column in this row.
`void` | `whereTime(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.sql.Time val, java.util.Calendar cal)` Set an equality condition on the value of the given column in this row.
`void` | `whereTimestamp(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col, java.sql.Timestamp val, java.util.Calendar cal)` Set an equality condition on the value of the given column in this row.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.solarmetric.rd.kodo.impl.jdbc.runtime.Row
`setObject, whereObject`

Constructor Detail

### AbstractRow

    public AbstractRow(com.solarmetric.rd.kodo.impl.jdbc.schema.Table table,
                       int action)

  Constructor.

Parameters:
  `table` - the table the row is a part of
  `action` - the action on the row

Method Detail

### getTable

    public com.solarmetric.rd.kodo.impl.jdbc.schema.Table getTable()

  Description copied from interface: `Row`
  Return the table for this row.

  Specified by:
    `getTable` in interface `Row`

### getAction

    public int getAction()

  Description copied from interface: `Row`
  Return the action for this row.

  Specified by:
    `getAction` in interface `Row`

### getFailedObject

    public java.lang.Object getFailedObject()

  This implementation returns null by default; override to track failed objects.

  Specified by:
    `getFailedObject` in interface `Row`

### setFailedObject

    public void setFailedObject(java.lang.Object failed)

  This implementation throws an exception by default; override to track failed objects.

  Specified by:
    `setFailedObject` in interface `Row`

### setPrimaryKey

    public void setPrimaryKey(java.lang.Object oid,
                              com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping)
                       throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the primary key to the given object's id.

  Specified by:
    `setPrimaryKey` in interface `Row`
  Parameters:
    `oid` - the object id from which to extract the primary key values
    `mapping` - the class mapping for this row
    `java.sql.SQLException`

### wherePrimaryKey

    public void wherePrimaryKey(java.lang.Object oid,
                                com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping)
                         throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the primary key equality criteria for this row.

  Specified by:
    `wherePrimaryKey` in interface `Row`
  Parameters:
    `oid` - the object id from which to extract the primary key values
    `mapping` - the class mapping for this row
    `java.sql.SQLException`

### setForeignKey

    public void setForeignKey(com.solarmetric.rd.kodo.impl.jdbc.schema.ForeignKey fk,
                              java.lang.Object oid,
                              com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping)
                       throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value for the given foreign key.

  Specified by:
    `setForeignKey` in interface `Row`
  Parameters:
    `fk` - the foreign key to set
    `oid` - the object id from which to extract the foreign key values
    `mapping` - the class mapping for the related object
    `java.sql.SQLException`

### whereForeignKey

    public void whereForeignKey(com.solarmetric.rd.kodo.impl.jdbc.schema.ForeignKey fk,
                                java.lang.Object oid,
                                com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping)
                         throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the object id value for the given foreign key.

  Specified by:
    `whereForeignKey` in interface `Row`
  Parameters:
    `fk` - the foreign key to set
    `oid` - the object id from which to extract the foreign key values
    `mapping` - the class mapping for the related object
    `java.sql.SQLException`

### flushObjectId

    protected void flushObjectId(com.solarmetric.rd.kodo.impl.jdbc.schema.Column[] cols,
                                 java.lang.Object oid,
                                 com.solarmetric.rd.kodo.impl.jdbc.meta.ClassMapping mapping,
                                 boolean set)
                          throws java.sql.SQLException

  Flush the given oid value to the given columns.

  Parameters:
    `cols` - the pk columns, in primary key field order
    `oid` - the object id to flush
    `mapping` - the class mapping for the oid's owner class
    `set` - whether this should be flushed as an update or as a where condition
    `java.sql.SQLException`

### setArray

    public void setArray(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                         java.sql.Array val)
                  throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setArray` in interface `Row`
    `java.sql.SQLException`

### setAsciiStream

    public void setAsciiStream(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                               java.io.InputStream val,
                               int length)
                        throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setAsciiStream` in interface `Row`
    `java.sql.SQLException`

### setBigDecimal

    public void setBigDecimal(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                              java.math.BigDecimal val)
                       throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setBigDecimal` in interface `Row`
    `java.sql.SQLException`

### setBigInteger

    public void setBigInteger(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                              java.math.BigInteger val)
                       throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setBigInteger` in interface `Row`
    `java.sql.SQLException`

### setBinaryStream

    public void setBinaryStream(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                                java.io.InputStream val,
                                int length)
                         throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setBinaryStream` in interface `Row`
    `java.sql.SQLException`

### setBlob

    public void setBlob(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                        java.sql.Blob val)
                 throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setBlob` in interface `Row`
    `java.sql.SQLException`

### setBoolean

    public void setBoolean(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                           boolean val)
                    throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setBoolean` in interface `Row`
    `java.sql.SQLException`

### setByte

    public void setByte(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                        byte val)
                 throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setByte` in interface `Row`
    `java.sql.SQLException`

### setBytes

    public void setBytes(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                         byte[] val)
                  throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setBytes` in interface `Row`
    `java.sql.SQLException`

### setChar

    public void setChar(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                        char val)
                 throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setChar` in interface `Row`
    `java.sql.SQLException`

### setCharacterStream

    public void setCharacterStream(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                                   java.io.Reader val,
                                   int length)
                            throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setCharacterStream` in interface `Row`
    `java.sql.SQLException`

### setClob

    public void setClob(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                        java.sql.Clob val)
                 throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setClob` in interface `Row`
    `java.sql.SQLException`

### setDate

    public void setDate(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                        java.util.Date val)
                 throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setDate` in interface `Row`
    `java.sql.SQLException`

### setDate

    public void setDate(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                        java.sql.Date val,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setDate` in interface `Row`
    `java.sql.SQLException`

### setDouble

    public void setDouble(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                          double val)
                   throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setDouble` in interface `Row`
    `java.sql.SQLException`

### setFloat

    public void setFloat(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                         float val)
                  throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setFloat` in interface `Row`
    `java.sql.SQLException`

### setInt

    public void setInt(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                       int val)
                throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setInt` in interface `Row`
    `java.sql.SQLException`

### setLong

    public void setLong(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                        long val)
                 throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setLong` in interface `Row`
    `java.sql.SQLException`

### setLocale

    public void setLocale(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                          java.util.Locale val)
                   throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setLocale` in interface `Row`
    `java.sql.SQLException`

### setNull

    public void setNull(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                 throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setNull` in interface `Row`
    `java.sql.SQLException`

### setShort

    public void setShort(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                         short val)
                  throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setShort` in interface `Row`
    `java.sql.SQLException`

### setString

    public void setString(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                          java.lang.String val)
                   throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setString` in interface `Row`
    `java.sql.SQLException`

### setTime

    public void setTime(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                        java.sql.Time val,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setTime` in interface `Row`
    `java.sql.SQLException`

### setTimestamp

    public void setTimestamp(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                             java.sql.Timestamp val,
                             java.util.Calendar cal)
                      throws java.sql.SQLException

  Description copied from interface: `Row`
  Set the value of the given column in this row.

  Specified by:
    `setTimestamp` in interface `Row`
    `java.sql.SQLException`

### whereArray

    public void whereArray(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                           java.sql.Array val)
                    throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereArray` in interface `Row`
    `java.sql.SQLException`

### whereAsciiStream

    public void whereAsciiStream(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                                 java.io.InputStream val,
                                 int length)
                          throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereAsciiStream` in interface `Row`
    `java.sql.SQLException`

### whereBigDecimal

    public void whereBigDecimal(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                                java.math.BigDecimal val)
                         throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereBigDecimal` in interface `Row`
    `java.sql.SQLException`

### whereBigInteger

    public void whereBigInteger(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                                java.math.BigInteger val)
                         throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereBigInteger` in interface `Row`
    `java.sql.SQLException`

### whereBinaryStream

    public void whereBinaryStream(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                                  java.io.InputStream val,
                                  int length)
                           throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereBinaryStream` in interface `Row`
    `java.sql.SQLException`

### whereBlob

    public void whereBlob(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                          java.sql.Blob val)
                   throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereBlob` in interface `Row`
    `java.sql.SQLException`

### whereBoolean

    public void whereBoolean(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                             boolean val)
                      throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereBoolean` in interface `Row`
    `java.sql.SQLException`

### whereByte

    public void whereByte(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                          byte val)
                   throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereByte` in interface `Row`
    `java.sql.SQLException`

### whereBytes

    public void whereBytes(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                           byte[] val)
                    throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereBytes` in interface `Row`
    `java.sql.SQLException`

### whereChar

    public void whereChar(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                          char val)
                   throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereChar` in interface `Row`
    `java.sql.SQLException`

### whereCharacterStream

    public void whereCharacterStream(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                                     java.io.Reader val,
                                     int length)
                              throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereCharacterStream` in interface `Row`
    `java.sql.SQLException`

### whereClob

    public void whereClob(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                          java.sql.Clob val)
                   throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereClob` in interface `Row`
    `java.sql.SQLException`

### whereDate

    public void whereDate(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                          java.util.Date val)
                   throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereDate` in interface `Row`
    `java.sql.SQLException`

### whereDate

    public void whereDate(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                          java.sql.Date val,
                          java.util.Calendar cal)
                   throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereDate` in interface `Row`
    `java.sql.SQLException`

### whereDouble

    public void whereDouble(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                            double val)
                     throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereDouble` in interface `Row`
    `java.sql.SQLException`

### whereFloat

    public void whereFloat(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                           float val)
                    throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereFloat` in interface `Row`
    `java.sql.SQLException`

### whereInt

    public void whereInt(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                         int val)
                  throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereInt` in interface `Row`
    `java.sql.SQLException`

### whereLong

    public void whereLong(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                          long val)
                   throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereLong` in interface `Row`
    `java.sql.SQLException`

### whereLocale

    public void whereLocale(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                            java.util.Locale val)
                     throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereLocale` in interface `Row`
    `java.sql.SQLException`

### whereNull

    public void whereNull(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col)
                   throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereNull` in interface `Row`
    `java.sql.SQLException`

### whereShort

    public void whereShort(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                           short val)
                    throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereShort` in interface `Row`
    `java.sql.SQLException`

### whereString

    public void whereString(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                            java.lang.String val)
                     throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereString` in interface `Row`
    `java.sql.SQLException`

### whereTime

    public void whereTime(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                          java.sql.Time val,
                          java.util.Calendar cal)
                   throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereTime` in interface `Row`
    `java.sql.SQLException`

### whereTimestamp

    public void whereTimestamp(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                               java.sql.Timestamp val,
                               java.util.Calendar cal)
                        throws java.sql.SQLException

  Description copied from interface: `Row`
  Set an equality condition on the value of the given column in this row.

  Specified by:
    `whereTimestamp` in interface `Row`
    `java.sql.SQLException`

### toSQL

    protected void toSQL(com.solarmetric.rd.kodo.impl.jdbc.schema.Column col,
                         java.lang.Object val,
                         int type,
                         java.lang.Object arg,
                         com.solarmetric.rd.kodo.impl.jdbc.schema.DBDictionary dict,
                         java.sql.PreparedStatement stmnt,
                         int idx)
                  throws java.sql.SQLException

  Translates the given value to a prepared parameter.

  Parameters:
    `col` - the column being set
    `val` - the value of the column
    `type` - the field mapping type code for the value
    `arg` - the extra arg passed to the set/whereObject method, if any
    `dict` - the dictionary in use
    `stmnt` - the prepared statement to parameterize
    `idx` - the index of the parameter in the prepared statement
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.